<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gatts__exec__write__req__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gatts_exec_write_req_t</compoundname>
    <includes local="no">cy_ble_stack_gatt_server.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gatts__exec__write__req__t_1a952d0abeabaa1859486eabdd5a6a8193" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__handle__value__offset__param__t">cy_stc_ble_gatt_handle_value_offset_param_t</ref> *</type>
        <definition>cy_stc_ble_gatt_handle_value_offset_param_t* cy_stc_ble_gatts_exec_write_req_t::baseAddr</definition>
        <argsstring />
        <name>baseAddr</name>
        <briefdescription>
<para>Base address of the queue where data is queued. </para>        </briefdescription>
        <detaileddescription>
<para>Queue is of type <ref kindref="compound" refid="structcy__stc__ble__gatt__handle__value__offset__param__t">cy_stc_ble_gatt_handle_value_offset_param_t</ref>. baseAddr[0].handleValuePair.value.val provides the base address of the total data stored in the prepare write queue internally by the Stack. The application can calculate the total length based on each each array element; i.e., total length = baseAddr[0].handleValuePair.value.len+ ....+baseAddr[prepWriteReqCount-1].handleValuePair.value.len </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="93" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="93" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__exec__write__req__t_1a76413ba21deaad19ff078b3b20551461" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_gatts_exec_write_req_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="96" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="96" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__exec__write__req__t_1ad014b10478f57010292f24000f874be7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_gatts_exec_write_req_t::attrHandle</definition>
        <argsstring />
        <name>attrHandle</name>
        <briefdescription>
<para>Attribute Handle at which the error occurred. </para>        </briefdescription>
        <detaileddescription>
<para>This is an o/p param. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="99" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="99" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__exec__write__req__t_1a3c3116f4c2179a5d4a5d2c196cf2ae1a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gatts_exec_write_req_t::prepWriteReqCount</definition>
        <argsstring />
        <name>prepWriteReqCount</name>
        <briefdescription>
<para>Total count of prepare requests from remote. </para>        </briefdescription>
        <detaileddescription>
<para>This parameter can be used to access the data from 'baseAddr[]'. The array index will range from 0 to prepWriteReqCount - 1. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="104" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="104" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__exec__write__req__t_1a722759208bdfce948b740f34347b1c7b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gatts_exec_write_req_t::execWriteFlag</definition>
        <argsstring />
        <name>execWriteFlag</name>
        <briefdescription>
<para>Execute write flag received from remote. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="107" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="107" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gatts__exec__write__req__t_1a3ae9784d4ac03970b91d8d16f8e3ba93" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gatts_exec_write_req_t::gattErrorCode</definition>
        <argsstring />
        <name>gattErrorCode</name>
        <briefdescription>
<para>The application-provided GATT error code for the procedure. </para>        </briefdescription>
        <detaileddescription>
<para>This is an o/p param. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="111" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="111" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Execute Write result. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="751">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="747">
        <label>cy_stc_ble_gatts_exec_write_req_t</label>
        <link refid="structcy__stc__ble__gatts__exec__write__req__t" />
        <childnode refid="748" relation="usage">
          <edgelabel>baseAddr</edgelabel>
        </childnode>
        <childnode refid="751" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="748">
        <label>cy_stc_ble_gatt_handle_value_offset_param_t</label>
        <link refid="structcy__stc__ble__gatt__handle__value__offset__param__t" />
        <childnode refid="749" relation="usage">
          <edgelabel>handleValuePair</edgelabel>
        </childnode>
      </node>
      <node id="750">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
      <node id="749">
        <label>cy_stc_ble_gatt_handle_value_pair_t</label>
        <link refid="structcy__stc__ble__gatt__handle__value__pair__t" />
        <childnode refid="750" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="113" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_server.h" line="83" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gatts__exec__write__req__t_1ad014b10478f57010292f24000f874be7" virt="non-virtual"><scope>cy_stc_ble_gatts_exec_write_req_t</scope><name>attrHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__exec__write__req__t_1a952d0abeabaa1859486eabdd5a6a8193" virt="non-virtual"><scope>cy_stc_ble_gatts_exec_write_req_t</scope><name>baseAddr</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__exec__write__req__t_1a76413ba21deaad19ff078b3b20551461" virt="non-virtual"><scope>cy_stc_ble_gatts_exec_write_req_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__exec__write__req__t_1a722759208bdfce948b740f34347b1c7b" virt="non-virtual"><scope>cy_stc_ble_gatts_exec_write_req_t</scope><name>execWriteFlag</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__exec__write__req__t_1a3ae9784d4ac03970b91d8d16f8e3ba93" virt="non-virtual"><scope>cy_stc_ble_gatts_exec_write_req_t</scope><name>gattErrorCode</name></member>
      <member prot="public" refid="structcy__stc__ble__gatts__exec__write__req__t_1a3c3116f4c2179a5d4a5d2c196cf2ae1a" virt="non-virtual"><scope>cy_stc_ble_gatts_exec_write_req_t</scope><name>prepWriteReqCount</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>